Bug 433706 - DPMS off seems to be undone when an application sets the URGENT window manager hint
Summary: DPMS off seems to be undone when an application sets the URGENT window manage...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-20 22:17 UTC by Bill Crawford
Modified: 2018-04-11 18:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 06:02:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (117.63 KB, text/plain)
2008-02-21 16:17 UTC, Bill Crawford
no flags Details
xorg.conf (3.63 KB, text/plain)
2008-02-21 16:18 UTC, Bill Crawford
no flags Details

Description Bill Crawford 2008-02-20 22:17:20 UTC
Description of problem:
Recently I've been waking up in the morning to see my screen with frozen 
screensaver image, but monitor still awake / lit up. Used to be it was just 
off, moving mouse slightly would bring it to life, moving it a little more 
would wake up the screensaver.

Version-Release number of selected component (if applicable):
6.7.197-1.fc8

How reproducible:
Leave machine to snooze. Go to bed. Wake up to find screen still awake, but 
screensaver STOPped (as it should be when screen is asleep).

Steps to Reproduce:
As above.
  
Actual results:
Screen is no longer DPMS OFFing.

Expected results:
Screen is DPMS OFFed.

Additional info:
Seems to be fairly recent, but cannot say for certain it's the most recent 
update. Strong circumstantial evidence though.

Comment 1 Matěj Cepl 2008-02-21 00:15:28 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Bill Crawford 2008-02-21 16:17:08 UTC
Created attachment 295530 [details]
X log

Comment 3 Bill Crawford 2008-02-21 16:18:01 UTC
Created attachment 295531 [details]
xorg.conf

Comment 4 Bill Crawford 2008-02-21 16:22:15 UTC
Thanks for the canned reply.  We have reviewed the information you have 
requested above, and there is some additional information we require that will 
be helpful in our diagnosis of why you think you need it.

Please explain how running without a config file can have any relevance to 
this issue, since it's not a complaint about a) some piece of hardware not 
being configured b) not a keyboard map problem c) not a failure to initialise 
DRI d) ... need we continue?

Will do that next time I restart, possibly. In the meantime, I haven't had to 
restart today, and hopefully won't need to tomorrow either. Unless the power 
goes ...



Comment 5 Bill Crawford 2008-02-21 16:23:10 UTC
More's to the point, I'm running KDE, and the DPMS settings are configured 
through their settings interface, not the X config file. Or at least that's 
overridden. So the log is of much more use, I'm sure.

Comment 6 Bill Crawford 2008-02-21 16:26:49 UTC
I actually revisited the bug to add a bit of useful information, as it 
happens. I happened to notice (by deliberately leaving it to go into suspend) 
that it seems to come back to life (without the screensaver being woken up) 
when pidgin gets an incoming message and plays a sound. No idea why this is 
waking the monitor up, but will try to discover whether it's just when playing 
the sound, or if it's putting the "attention" flag on the window, or whatever. 
Looks like either the kde window manager or screensaver framework are at 
fault, ...

Comment 7 Matěj Cepl 2008-02-21 16:35:03 UTC
I have no idea what relevance it has, but I would like to see what’s actually
going on in your system, and for that your configuration is very interesting.
And yes log file is certainly more interesting.

Concerning the canned reply -- I have a lot of bugs to see a day, so sorry there
is not enough time to write nice novels to each bug.

Passing to KDE guys.

Comment 8 Bill Crawford 2008-02-21 18:32:08 UTC
Thanks, and sorry for the grumpiness. Would a more verbose log help?

Also, is there any way to get KDE to log any debugging-type output from kwin 
and/or the screensaver handling?


Comment 9 Bill Crawford 2008-02-24 18:16:10 UTC
Updating title to reflect reality :o)

Comment 10 Bug Zapper 2008-11-26 09:53:42 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-01-09 06:02:23 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.